#if !defined(AFX_EVENTSETDLG_H__A6243830_3A81_4585_B587_8AFF0695FEE5__INCLUDED_)
#define AFX_EVENTSETDLG_H__A6243830_3A81_4585_B587_8AFF0695FEE5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EventSetDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEventSetDlg dialog

class CEventSetDlg : public CDialog
{
// Construction
public:
	CEventSetDlg(CWnd* pParent = NULL);   // standard constructor

	void		UpdateDataEvent();
// Dialog Data
	//{{AFX_DATA(CEventSetDlg)
	enum { IDD = IDD_DIALOG_EVENTSET };
	BOOL	m_checkPK;
	BOOL	m_checkCombat;
	BOOL	m_checkNormal;
	int		m_nCommandEvent;
	BOOL	m_checkEventSetMode;
	BOOL	m_checkEventViewMode;
	BOOL	m_checkViewPCN;
	BOOL	m_checkLandPossible;
	BOOL	m_checkLandImpossible;
	BOOL	m_checkViewLand;
	BOOL	m_checkEventNormal;
	BOOL	m_checkEventArea;
	BOOL	m_checkViewWarf;
	BYTE	m_editInfoEventType;
	CString	m_editInfostrParam;
	short	m_editInfowParam1;
	short	m_editInfowParam2;
	CString	m_editIsWater;
	BOOL	m_checkMoveNo;
	BOOL	m_checkMoveOk;
	BOOL	m_checkViewMove;
	BOOL	m_checkMoveCheck;
	short	m_editInfowParam3;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEventSetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEventSetDlg)
	afx_msg void OnCheckPk();
	afx_msg void OnCheckCombat();
	afx_msg void OnCheckNormal();
	afx_msg void OnCheckEventset();
	afx_msg void OnCheckEventview();
	afx_msg void OnCheckViewPkzone();
	afx_msg void OnCheckLandOk();
	afx_msg void OnCheckLandNo();
	afx_msg void OnCheckViewLand();
	afx_msg void OnCheckEventNo();
	afx_msg void OnCheckEventOk();
	afx_msg void OnCheckViewWarf();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnCheckMoveOk();
	afx_msg void OnCheckMoveNo();
	afx_msg void OnCheckViewMove();
	afx_msg void OnCheckMoveCheck();
	afx_msg void OnButtonEventSetall();
	afx_msg void OnButtonEventResetpk();
	afx_msg void OnButtonEventResetland();
	afx_msg void OnButtonEventResetwarf();
	afx_msg void OnButtonEventResetmove();
	afx_msg void OnRadioSetpk();
	afx_msg void OnRadioLandset();
	afx_msg void OnRadioEventset();
	afx_msg void OnRadioMoveset();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVENTSETDLG_H__A6243830_3A81_4585_B587_8AFF0695FEE5__INCLUDED_)
